Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class UnmodifiableOrderedMap

    java.lang.Object
      |
      +--org.apache.commons.collections.map.AbstractMapDecorator
            |
            +--org.apache.commons.collections.map.AbstractOrderedMapDecorator
                  |
                  +--org.apache.commons.collections.map.UnmodifiableOrderedMap

All Implemented Interfaces:
  IterableMap, Map, OrderedMap, Serializable, Unmodifiable

public final class UnmodifiableOrderedMap
extends AbstractOrderedMapDecorator
implements Unmodifiable, Serializable

Decorates another `OrderedMap` to ensure it can't be altered.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.8 $ $Date: 2004/04/09 10:46:32 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Method Summary
`void` | `clear()`
`static OrderedMap` | `decorate(OrderedMap map)` Factory method to create an unmodifiable sorted map.
`Set` | `entrySet()`
`Set` | `keySet()`
`MapIterator` | `mapIterator()` Obtains a `MapIterator` over the map.
`OrderedMapIterator` | `orderedMapIterator()` Obtains an `OrderedMapIterator` over the map.
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map mapToCopy)`
`Object` | `remove(Object key)`
`Collection` | `values()`

Methods inherited from class org.apache.commons.collections.map.AbstractOrderedMapDecorator
`firstKey, getOrderedMap, lastKey, nextKey, previousKey`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, containsValue, equals, get, getMap, hashCode, isEmpty, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size`

Method Detail

### decorate

    public static OrderedMap decorate(OrderedMap map)

  Factory method to create an unmodifiable sorted map.

  Parameters:
    `map` - the map to decorate, must not be null
  Throws:
    `IllegalArgumentException` - if map is null

### mapIterator

    public MapIterator mapIterator()

  Description copied from interface: `IterableMap`
  Obtains a `MapIterator` over the map.

  A map iterator is an efficient way of iterating over maps. There is no need to access the entry set or cast to Map Entry objects.

       IterableMap map = new HashedMap();
       MapIterator it = map.mapIterator();
       while (it.hasNext()) {
         Object key = it.next();
         Object value = it.getValue();
         it.setValue("newValue");
       }

  Specified by:
    `mapIterator` in interface `IterableMap`
  Overrides:
    `mapIterator` in class `AbstractOrderedMapDecorator`
  Returns:
    a map iterator

### orderedMapIterator

    public OrderedMapIterator orderedMapIterator()

  Description copied from interface: `OrderedMap`
  Obtains an `OrderedMapIterator` over the map.

  A ordered map iterator is an efficient way of iterating over maps in both directions.

       BidiMap map = new TreeBidiMap();
       MapIterator it = map.mapIterator();
       while (it.hasNext()) {
         Object key = it.next();
         Object value = it.getValue();
         it.setValue("newValue");
         Object previousKey = it.previous();
       }

  Specified by:
    `orderedMapIterator` in interface `OrderedMap`
  Overrides:
    `orderedMapIterator` in class `AbstractOrderedMapDecorator`
  Returns:
    a map iterator

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`
  Overrides:
    `clear` in class `AbstractMapDecorator`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `AbstractMapDecorator`

### putAll

    public void putAll(Map mapToCopy)

  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `AbstractMapDecorator`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`
  Overrides:
    `remove` in class `AbstractMapDecorator`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  Overrides:
    `entrySet` in class `AbstractMapDecorator`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`
  Overrides:
    `keySet` in class `AbstractMapDecorator`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`
  Overrides:
    `values` in class `AbstractMapDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.